- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::Estimate Class Reference

`#include <Estimate.h>`

Collaboration diagram for Mers::Estimation::Discrete::Estimate:

[legend]
List of all members.

## Public Member Functions
| Estimate (Mers::Models::Base::BaseModelAssignmentArray const *assigns, const double p, const unsigned int oTN=0, const unsigned short db=0)
| Estimate (Estimate const &est)
| Estimate (Estimate const *est)
virtual | ~Estimate ()
double | getProbability () const
void | setProbability (double p)
const unsigned int | getOriginatedTrajectoryNumber () const
Mers::Models::Base::BaseModelAssignmentArray const * | getComponentAssignments () const
Mers::Models::Base::BaseModelAssignment const * | getAssignment (const unsigned int index) const
Mers::Models::Base::BaseModelAssignment const * | getAssignmentByUID (const unsigned int uid) const
void | addAssignment (Mers::Models::Base::BaseModelAssignment *asg)
## Friends
std::ostream & | operator<< (std::ostream &, Estimate const &)

## Detailed Description

An estimate is a full assignment to mode variables. The product of all component probabilities is the probability of the estimate.

Definition at line 42 of file Estimate.h.

## Constructor & Destructor Documentation

Estimate::Estimate | ( | Mers::Models::Base::BaseModelAssignmentArray const * | assigns,
|  | const double | p,
|  | const unsigned int | oTN = `0`,
|  | const unsigned short | db = `0` |
| ) |  |  |

Creates a new estimate

Parameters:

  | assigns | an array of component mode assignments
  | p | the probability of the estimate
  | oTN | the trajectory number from which this esimate originated
  | db | the debug level

Definition at line 35 of file Estimate.cpp.

References Mers::Models::Base::BaseModelAssignmentArray::begin(), and Mers::Models::Base::BaseModelAssignmentArray::end().

Here is the call graph for this function:

Estimate::Estimate | ( | Estimate const & | est | ) |

Copy Constructor

Parameters:

  | est | the Estimate object to copy from

Definition at line 61 of file Estimate.cpp.

Estimate::Estimate | ( | Estimate const * | est | ) |

Copy Constructor

Parameters:

  | est | the Estimate object to copy from

Definition at line 66 of file Estimate.cpp.

Estimate::~Estimate | ( |  | ) | `[virtual]`

Destroys the estimate

Definition at line 76 of file Estimate.cpp.

## Member Function Documentation

double Estimate::getProbability | ( |  | ) | const

gets the posteriori probality of this state estimate

Returns:
  posteriori probability

Definition at line 88 of file Estimate.cpp.

Referenced by Mers::Estimation::Discrete::Trajectories::addEstimate(), Mers::Estimation::Discrete::ModeEstimatorBase::addTrajectory(), Mers::Estimation::Discrete::ModeEstimationPerformance::MEPerformanceMonitor::adjustUncertaintyForNewEstimate(), Mers::Estimation::Discrete::ModeEstimation::ModeEstimator::generateTrajectories(), Mers::Estimation::Discrete::CompiledME::CompiledModeEstimator::generateTrajectories(), and Mers::Estimation::Discrete::ApproximateBeliefState::BFBSE::BFBSE::generateTrajectories().

void Estimate::setProbability | ( | double | p | ) |

sets the posteriori probality of this state estimate (only done when normalizing the belief state)

Parameters:

  | p | the updated posteriori probability

Definition at line 95 of file Estimate.cpp.

const unsigned int Estimate::getOriginatedTrajectoryNumber | ( |  | ) | const

gets the trajectory number that this state originated from

Returns:
  originatedTrajectoryNumber

Definition at line 103 of file Estimate.cpp.

Referenced by Mers::Estimation::Discrete::ModeEstimation::ModeEstimator::generateTrajectories(), Mers::Estimation::Discrete::CompiledME::CompiledModeEstimator::generateTrajectories(), Mers::Estimation::Discrete::MEObjectiveFunction::getBeliefStateUncertainty(), Mers::Estimation::Discrete::ModeEstimationPerformance::MEPerformanceMonitor::getEstimateFaultTransitions(), and Mers::Estimation::Discrete::ModeEstimationPerformance::MEPerformanceMonitor::getPriorNextStateProbs().

BaseModelAssignmentArray const * Estimate::getComponentAssignments | ( |  | ) | const

Gets the component mode assignments

Returns:
  assignment array

Definition at line 110 of file Estimate.cpp.

Referenced by Mers::Estimation::Discrete::MEObjectiveFunction::getBeliefStateUncertainty(), Mers::Estimation::Discrete::ModeEstimationPerformance::MEPerformanceMonitor::getEstimateFaultTransitions(), and Mers::Estimation::Discrete::ModeEstimationPerformance::MEPerformanceMonitor::getPriorNextStateProbs().

BaseModelAssignment const * Estimate::getAssignment | ( | const unsigned int | index | ) | const

Gets the component mode assignment

Parameters:

  | index | of component mode assignment in assignment array

Returns:
  assignment

Definition at line 117 of file Estimate.cpp.

Referenced by Mers::Estimation::Discrete::Trigger::changeTrajectories(), and Mers::Estimation::Discrete::ModeEstimationPerformance::MEPerformanceMonitor::getEstimateFaultTransitions().

BaseModelAssignment const * Estimate::getAssignmentByUID | ( | const unsigned int | uid | ) | const

Gets the component mode assignment

Parameters:

  | uid | variable UID of component mode assignment to return

Returns:
  assignment if found, NULL otherwise

Definition at line 124 of file Estimate.cpp.

References Mers::Utils::Containers::DynamicArray::getLength().

Here is the call graph for this function:

void Estimate::addAssignment | ( | Mers::Models::Base::BaseModelAssignment * | asg | ) |

Adds an assignment to the estimate. Assumes ownership of the assignment if this estimate owns its assignments.

Definition at line 136 of file Estimate.cpp.

References Mers::Models::Base::BaseModelAssignment::getVariable(), and Mers::Models::Base::BaseModelVariable::getVariableType().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/Estimate.h
- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/Estimate.cpp